Loading...
Searching...
No Matches
Magick::DrawableFillOpacity Class Reference
Inheritance diagram for Magick::DrawableFillOpacity:

## Public Member Functions

| DrawableFillOpacity (double opacity_)
void | operator() (MagickCore::DrawingWand *context_) const
DrawableBase * | copy () const
void | opacity (double opacity_)
double | opacity (void) const

## Private Attributes

double | _opacity

## Detailed Description

Definition at line 1022 of file Drawable.h.

## Constructor & Destructor Documentation

## DrawableFillOpacity()

Magick::DrawableFillOpacity::DrawableFillOpacity | ( | double | opacity_ | ) |

inline

Definition at line 1026 of file Drawable.h.

: _opacity(opacity_)
{
}

## ~DrawableFillOpacity()

Magick::DrawableFillOpacity::~DrawableFillOpacity | ( | void |  | ) |

Definition at line 763 of file Drawable.cpp.

{
}

## Member Function Documentation

## copy()

Magick::DrawableBase * Magick::DrawableFillOpacity::copy | ( |  | ) | const

virtual

Reimplemented from Magick::DrawableBase.

Definition at line 773 of file Drawable.cpp.

{
return new DrawableFillOpacity(*this);
}

## opacity() [1/2]

void Magick::DrawableFillOpacity::opacity | ( | double | opacity_ | ) |

inline

Definition at line 1039 of file Drawable.h.

{
_opacity=opacity_;
}

## opacity() [2/2]

double Magick::DrawableFillOpacity::opacity | ( | void |  | ) | const

inline

Definition at line 1044 of file Drawable.h.

{
return(_opacity);
}

## operator()()

void Magick::DrawableFillOpacity::operator() | ( | MagickCore::DrawingWand * | context_ | ) | const

virtual

Reimplemented from Magick::DrawableBase.

Definition at line 767 of file Drawable.cpp.

{
DrawSetFillOpacity(context_,_opacity);
}

## Field Documentation

## _opacity

double Magick::DrawableFillOpacity::_opacity

private

Definition at line 1050 of file Drawable.h.

The documentation for this class was generated from the following files:

- /build/imagemagick-icbe39/imagemagick-7.1.2.3+dfsg1/Magick++/lib/Magick++/Drawable.h
- /build/imagemagick-icbe39/imagemagick-7.1.2.3+dfsg1/Magick++/lib/Drawable.cpp